#include <bits/stdc++.h>
using namespace std;
int main()
{
    ios_base::sync_with_stdio;
    cin.tie(0);
    int n, k, x;
    cin >> n >> k >> x;
    int a[n];
    int b[n+1];
    b[0]=0;
    for (int i = 0; i < n; i++)
    {
        cin >> a[i];
        b[i+1]=a[i]+b[i];
    }
    long long s=0;
    long long smax=0;

    for(int j = 0; j<n-k+1; j++)
    {
        s=(long long)b[j+k]-b[j];
        smax = s;
        for(int i = j+1; i<j+k; i++)
        {
            s+=b[j+k]-b[i];
            if(s>smax) smax = s;
            s-=b[j+k]-b[i];
        }
        cout<<smax;
    }
}